package com.yeejoin.amos.maintenance.core.common.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * <pre>
 * 公共请求对象
 * </pre>
 *
 * @author as-shibaobao
 * @version $Id: CommonRequest.java, v 0.1 2018年1月26日 上午10:59:19 as-shibaobao Exp $
 */
@ApiModel
public class CommonRequest {

	/**
	 * 字段名称
	 */
	@ApiModelProperty(value="字段名称",required=true)
	private String name;
	
	/**
	 * 字段值
	 */
	@ApiModelProperty(value="字段值",required=true)
	private Object value;
	
	/**
	 * 查询类型
	 */
	@ApiModelProperty(value="查询类型",notes="空值时，默认为等于；其它类型按QueryOperatorEnum",required=false)
	private String type;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
